
Foreman - Bug #3871

Foreman 1.3.1: Adding a new smart class parameter override  fails if there is an existing match on an

hostgroup that don't exist.   

12/12/2013 07:11 PM - Peter Gustafsson

Status: Duplicate   

Priority: High   

Assignee:    

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

Adding a new smart class parameter override from the Smart Class Parameter page fails if there is an existing match on an

hostgroup that don't exist.

It fails silent so if there is many matches defined, it is a tedious task to find the failing match.

This situation can occur if you rename a host group that there is matches on.

Br, Peter

Related issues:

Related to Foreman - Bug #3206: Prevent any user including admin from creatin... Closed 10/06/2013

Related to Foreman - Bug #3889: No validation errors for nested class paramet... Closed 12/16/2013

Is duplicate of Foreman - Bug #2866: Changing a hostgroup name doesn't update... Closed 07/31/2013

History

#1 - 12/13/2013 08:42 AM - Dominic Cleal

- Related to Bug #3206: Prevent any user including admin from creating lookup_value with fdqn= to host that doesn't exist added

#2 - 12/13/2013 08:43 AM - Dominic Cleal

- Category changed from Puppet integration to Parameters

We should fix the issue with renaming host groups I think, also re-parenting/nesting.

#3 - 12/16/2013 06:29 PM - Dominic Cleal

- Related to Bug #3889: No validation errors for nested class parameters on Puppet class edit page added

#4 - 01/16/2014 11:46 AM - Dominic Cleal

- Is duplicate of Bug #2866: Changing a hostgroup name doesn't update associated Smart Variable matchers added

#5 - 01/16/2014 11:46 AM - Dominic Cleal

- Status changed from New to Duplicate
